Name:           python-moddb
Version:        0.8.1
Release:        1%{?dist}
Summary:        A Python scraper/parser for ModDB.
License:        MIT
URL:            https://github.com/ClementJ18/moddb
source0:        https://github.com/ClementJ18/moddb/archive/v%{version}/moddb-%{version}.tar.gz

# This is needed as there are for some reason specific versions in
# setup.py. Submitted as a PR to upstream here:
# https://github.com/ClementJ18/moddb/pull/29
Patch:          nonstrict-versioning.patch

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description \
The goal of the library is to be able to navigate ModDB purely \
programmatically through scraping and parsing of the various models \
present on the website. This is based off a command of my bot which \
can parse either a game or a mod, this command gave birth to the \
original library which was extremely limited in its abilities and \
only able to parse a few pages with inconsistencies. This library \
is a much more mature and professional attempt at the whole idea, \
adding on a much deeper understanding of OOP.


%description %{_description}


%package -n python3-moddb
Summary:        %{summary}


%description -n python3-moddb %{_description}


%prep
%autosetup -p1 -n moddb-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files moddb


%check
%pyproject_check_import

%files -n python3-moddb -f %{pyproject_files}
%doc README.md


%changelog
* Tue Feb 14 2023 Steve Cossette <farchord@gmail.com> and Chris King <bunnyapocalypse@protonmail.com> - 0.8.1-1
- Initital release of moddb (0.8.1)
